Vmgen(1)

NAME
vmgen - a tool for writing fast and efficient interpreters

SYNOPSIS
vmgen INPUTFILE

DESCRIPTION
Vmgen is a tool for writing efficient interpreters. It takes a simple virtual machine description and generates efficient C code for dealing with the virtual machine code in various ways (in particular, executing it). The run-time efficiency of the resulting interpreters is usually within a factor of 10 of machine code produced by an optimizing compiler. The main documentation for vmgen is in info format. Please use info vmgen for the complete documentation on vmgen.

SEE ALSO
The Vmgen manual in info format https://www.complang.tuwien.ac.at/projects/forth.html.

AUTHORS
Vmgen was written by Anton Ertl, Bernd Paysan, Jens Wilke and others. This manpage was created for the Debian GNU/Linux project by Eric Schwartz. Any problems with it are entirely his fault.